[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomControlBar.WMSize

Handles the LM_SIZE message for the control.

## Declaration

Source position: extctrls.pp line 1650

`protected procedure TCustomControlBar.WMSize(`
`var Message: TLMSize`
`); message;`

## Arguments

`Message` |  | Window message handled in the method.

## Description

WMSize is overridden in TCustomControlBar to resize and arrange visible bands when the size for the control bar is changed. It calls the inherited method on entry to handle changes to the control bounds. it extends the inherited method to handle right-to-left alignment when the control is resized.

## See also

TWinControl.WMSize |  | Event handler for size messages.
TControl.IsRightToLeft |  | True when BiDiMode is not bdLeftToRight.